- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreAny.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreException.h"`
`#include "OgreString.h"`
`#include <algorithm>`
`#include <typeinfo>`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Any
| Variant type that can hold Any other type. More...
class | Ogre::Any::placeholder
class | Ogre::Any::holder< ValueType >
class | Ogre::AnyNumeric
| Specialised Any class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / . More...
class | Ogre::AnyNumeric::numplaceholder
class | Ogre::AnyNumeric::numholder< ValueType >
## Functions
template<typename ValueType>
ValueType * | Ogre::any_cast (Any *operand)
template<typename ValueType>
const ValueType * | Ogre::any_cast (const Any *operand)
template<typename ValueType>
ValueType | Ogre::any_cast (const Any &operand)

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:57 2008